%define qpage_user qpage
%define qpage_group qpage
%define syslog_facility LOG_DAEMON

Summary:	Client/server application for sending messages to alphanumeric pagers.
Name:		qpage
Version:	3.3
Release:	3
Copyright:	distributable
Group:		Applications/Communications
Distribution: Red Hat Contrib
Source:		http://www.qpage.org/download/qpage-3.3.tar.Z
URL:		http://www.qpage.org/
Vendor:		Thomas Dwyer III <tomiii@qpage.org>
Packager:	Dale Bewley <dale@bewley.net>
Patch:		qpage-3.3-3.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot


%description
QuickPage sends messages to a paging terminal using the SNPP and IXO
(also known as TAP) protocols.  It is normally used with no options
other than a recipient and the message text, in which case the message
is sent to the SNPP server where it is submitted to a page queue to be
sent by a separate daemon process.  Page groups and duty schedules are
supported.  Status notification messages indicating the success or
failure of a page are sent via e-mail to submitters of high-priority
(level 0) pages.

%prep
%setup
%patch -p1
for file in config.input; do \
    sed -e s/@SYSLOG_FACILITY@/%{syslog_facility}/g \
            < $file > $file.tmp
    mv $file.tmp $file
done

%build
./configure --prefix=/usr
make

%install
strip qpage
install -m 775 -d 		${RPM_BUILD_ROOT}/var/spool/qpage
install -m 755 -d    		${RPM_BUILD_ROOT}/%{_bindir}
install -m 755 qpage 		${RPM_BUILD_ROOT}/%{_bindir}/qpage
install -m 755 -d        	${RPM_BUILD_ROOT}/%{_mandir}/man1
install -m 644 qpage.man 	${RPM_BUILD_ROOT}/%{_mandir}/man1/qpage.1
install -m 755 -d       	${RPM_BUILD_ROOT}/etc/rc.d/init.d/
install -m 755 S99qpage 	${RPM_BUILD_ROOT}/etc/rc.d/init.d/qpage
install -m 644 example.cf 	${RPM_BUILD_ROOT}/etc/qpage.cf
install -m 775 -d		${RPM_BUILD_ROOT}/etc/sysconfig
install -m 644 qpage.sysconfig 	${RPM_BUILD_ROOT}/etc/sysconfig/qpage

%pre
if [ `egrep "^%{qpage_user}:" /etc/passwd | wc -l` = 0 ]; then
        /usr/sbin/useradd -r -s /bin/false -c "Quickpage www.qpage.org" %{qpage_user}
fi
/usr/sbin/usermod -G %{qpage_group},uucp,lock %{qpage_user}

%post
/sbin/chkconfig --add qpage

%preun
if [ $1 = 0 ]; then
        if [ -f /var/lock/subsys/qpage ]; then
                /sbin/service qpage stop
        elif [ -f /var/run/qpage.pid ]; then
        	/sbin/service qpage stop
	fi
fi
/sbin/chkconfig --del qpage

%postun
if [ $1 = 0 ]; then
   if [ `egrep "^%{qpage_user}:" /etc/passwd | wc -l` = 1 ]; then
      /usr/sbin/userdel %{qpage_user}
   fi
   if [ `egrep "^%{qpage_group}:" /etc/group | wc -l` = 1 ]; then
      /usr/sbin/groupdel %{qpage_group}
   fi
fi


%files
%attr(-,root,root)
%doc CHANGES CREDITS DO-NOT-READ HISTORY INSTALL LICENSE README
%doc Makefile TODO TROUBLESHOOT
%doc example.cf ixo-tap.txt
%doc qpage.doc qpage.ps
%doc rfc1861.txt
%doc %{_mandir}/man1/*
%{_bindir}/qpage
/etc/rc.d/init.d/qpage
%attr(640,root,%{qpage_group})
%config /etc/qpage.cf
%config /etc/sysconfig/qpage
%attr(770,root,%{qpage_group})
%dir /var/spool/qpage

%changelog
* Wed Feb 12 2003 Dale Bewley <dale@bewley.net>
- fixed so it actually runs as qpage instead of daemon
- updated rpm header tags.
- touched up init script and changed sysconfig format
- removed logrotate since it logs to syslog
- allow changing of syslog facility at rpm build time
- add qpage to the lock group

* Fri Dec 20 2002 Dale Bewley <dale@bewley.net>
- Added support for /etc/sysconfig/qpage
- Added logrotate.d entry
- %install into ${RPM_BUILD_ROOT} instead of /
- removed some echos and automated some user/group munging

* Fri Jul 28 2000 Scot Jenkins <blackcrow77@yahoo.com>
- initial build of qpage 3.3 under RedHat 6.2.
